#!/bin/bash

set -eux pipefail

IMAGE=witten/wake-on-lan-service

sudo docker buildx build -t $IMAGE:amd64 .
sudo docker push $IMAGE:amd64
sudo docker buildx build --platform linux/arm/v7 --build-arg IMAGE_PREFIX="arm32v7/" -t $IMAGE:armv7 .
sudo docker push $IMAGE:armv7
sudo docker manifest create --amend $IMAGE:latest $IMAGE:amd64 $IMAGE:armv7
sudo docker manifest push $IMAGE:latest
